Create chat response
curl --request POST \
--url https://api.caprioletech.com/v1/chat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "openai-latest",
"input": "Hello World!"
}
'import requests
url = "https://api.caprioletech.com/v1/chat"
payload = {
"model": "openai-latest",
"input": "Hello World!"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'openai-latest', input: 'Hello World!'})
};
fetch('https://api.caprioletech.com/v1/chat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "49da8eb7-916b-43a3-ab02-442bc2841839",
"model": "openai/gpt-6-astra",
"result": {
"text": "Here is a short joke."
},
"usage": {
"input_tokens": 8,
"output_tokens": 6,
"total_tokens": 14,
"cached_tokens": 0,
"charged_tokens": 14
}
}Endpoints
Chat
Cria uma resposta de texto a partir de um modelo.
POST
/
v1
/
chat
Create chat response
Use este endpoint para enviar entrada de texto simples a um modelo e receber uma resposta de texto simples. Esta rota nativa da Capriole não tem streaming; use Chat Completions, Responses ou Messages quando o cliente precisar de um stream SSE.
POST /v1/chat aceita openai-latest, claude-latest, google-latest e IDs públicos de modelo concretos retornados por GET /v1/models. Use um alias latest para deixar a Capriole AI escolher o modelo principal que recomendamos para aquele provedor. Use um ID de modelo concreto quando o versionamento fixo for importante.
GPT-6 Astra oferece dois modos no Web Chat: Thinking (medium, padrão) e Fast (low). Os dois modos GPT-5.6 ficam em Other Models. A API pública usa openai-latest ou openai/gpt-6-astra, não o ID Thinking exclusivo do navegador. Este endpoint Chat nativo usa o modo low do Astra; Responses e Chat Completions preservam as opções de raciocínio do cliente.
O chat na web da Capriole AI e a API pública são superfícies de produto distintas. No chat na web, Fable 5.1 e Fable 5.1 Thinking são os modos Anthropic principais, enquanto Fable 5, Fable 5 Thinking, Opus 5 e Opus 5 Thinking aparecem em Other Models. A API pública não expõe as predefinições Thinking do chat na web como IDs de modelo separados; para solicitações da Claude Chat API, use claude-latest ou um ID público concreto de modelo Claude, como anthropic/claude-fable-5-1, anthropic/claude-fable-5, anthropic/claude-opus-5 ou anthropic/claude-sonnet-4-6. Integrações existentes de Opus 4.8, Opus 4.7 e Opus 4.6 continuam suportadas.Autorizações
Use an API key created in the Capriole AI page. Send it as Authorization: Bearer sk-....
Corpo
application/json
Public model identifier or latest alias returned by GET /v1/models
Opções disponíveis:
openai-latest, openai/gpt-6-astra, openai/gpt-5.6-terra, openai/gpt-5.6-luna, openai/gpt-5.5, openai/gpt-5.4-mini, claude-latest, anthropic/claude-fable-5-1, anthropic/claude-fable-5, anthropic/claude-opus-5, anthropic/claude-opus-4-8, anthropic/claude-opus-4-7, anthropic/claude-opus-4-6, anthropic/claude-sonnet-4-6, google-latest, google/gemini-3.1-pro-preview, google/gemini-3.8-flash, xai/grok-4.6, xai/grok-4.5, zai/glm-5.3-flash, zai/glm-5.2, moonshot/kimi-k3 Plain text user input
Enable provider-native web search when the selected model supports it.
Optional sampling temperature.
Intervalo obrigatório:
x >= 0Optional maximum number of output tokens.
Optional maximum number of provider retries.
Intervalo obrigatório:
x >= 0Optional provider request timeout in seconds.
Última modificação em 5 de setembro de 2026